local LOOT_SELF_REGEX = gsub(LOOT_ITEM_SELF, "%%s", "(.+)")
local LOOT_REGEX = gsub(LOOT_ITEM, "%%s", "(.+)")

NEEDED_ILVL = 264

function AutoToast_Events(self, event, arg1, arg2, arg3, arg4, ...)
	--Arg1 = achivementid
	if (event=="ACHIEVEMENT_EARNED") then
		local TempLink = GetAchievementLink(arg1)
		--BNSetCustomMessage has a max message size of 127 characters
		if (#TempLink > 127) then
			--Blizzard uses the number 4294967295 to indicate that progress has been made on an achivement....GG?
			--We can try replacing 4294967295 with 1 to make the message smaller first, so that people can still click on them.
			--It seems that only the first 4294967295 is required to light up all the parts
			local TempLink = string.gsub(TempLink, 4294967295, "xXXx",1)
			TempLink = string.gsub(TempLink, 4294967295, 0)
			--Put the first 4294967295 back in
			TempLink = string.gsub(TempLink,"xXXx",4294967295,1)
			--Check the length again...
			if (#TempLink > 127) then
				--Lets take out that 4294967295...
				TempLink = string.gsub(TempLink, 4294967295, 0)
				--Check again...
				if (#TempLink > 127) then
					--GRRRR, well just send the achivement name
					local _,Name = GetAchievementInfo(arg1)
					TempLink = "["..Name.."] has been completed!"
				end
				
			end
			
			
		end
		
		
		BNSetCustomMessage(TempLink)
		
	elseif (event=="PLAYER_LEVEL_UP") then
		BNSetCustomMessage("I have just reached level "..arg1)
	elseif (event=="CHAT_MSG_LOOT") then
		local lootmsg = arg1;
		local _, _, sPlayer, itemlink = string.find(lootmsg, LOOT_REGEX)
		if not sPlayer then 
			--Then it was you who looted the item!
			_, _, itemlink = string.find(lootmsg, LOOT_SELF_REGEX) 
			if not itemlink then 
				--self:debug("No item link") 
				return 
			else
				--local _, _, itemId = string.find(itemlink, "item:(%d+):")
				
				local _, sLink, _, iLevel, _, _, _, _ = GetItemInfo(itemlink);
				if (iLevel >= NEEDED_ILVL) then
					BNSetCustomMessage("OMG I JUST GOT:"..itemlink);
				end
				
			end
			
		end

		
	end
end


local AutoToast = CreateFrame("Frame", "AutoToastFrame");
AutoToast:SetScript("OnEvent", AutoToast_Events);
AutoToast:RegisterEvent("ACHIEVEMENT_EARNED");
AutoToast:RegisterEvent("CHAT_MSG_LOOT");
AutoToast:RegisterEvent("PLAYER_LEVEL_UP");